[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Objects' (#rtl)

# TMemoryStream.Done

Clean up memory and destroy the object instance.

## Declaration

Source position: objects.pp line 372

`destructor TMemoryStream.Done; virtual;`

## Description

Done releases the memory blocks used by the stream, and then cleans up the memory used by the stream object itself.

For an example, see e.g TStream.CopyFrom.

## Errors

None.

## See also

TMemoryStream.Init |  | Initialize memory stream, reserves memory for stream data.

Documentation generated on: Feb 26 2014